READ_BBT(9)

NAME
read_bbt - [GENERIC] Read the bad block table starting from page

SYNOPSIS

int read_bbt (struct mtd_info * mtd, uint8_t * buf, int page, int num, int bits, int offs, int reserved_block_code);

ARGUMENTS

mtd MTD device structure

buf temporary buffer

page
    the starting page

num the number of bbt descriptors to read

bits
    number of bits per block

offs
    offset in the memory table

reserved_block_code
    Pattern to identify reserved blocks

DESCRIPTION

Read the bad block table starting from page.

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.